dnl Process this file with autoconf to produce a configure script.
AC_INIT(acinclude.m4)

AC_CANONICAL_SYSTEM
AC_ARG_PROGRAM

AM_INIT_AUTOMAKE("Button Generator",0.3.1)

AM_CONFIG_HEADER(config.h)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_CPP
AC_PROG_CXX
AC_PROG_CXXCPP
AC_CHECK_COMPILER_OPTIONS

dnl Checks for libraries.
AC_CHECK_STL
AC_FIND_ZLIB
AC_FIND_PNG
AC_FIND_JPEG
AC_FIND_TIFF
AC_FIND_XWIN
AC_FIND_FOX

dnl Checks for header files.

dnl Checks for typedefs, structures, and compiler characteristics.

dnl Checks for library functions.

AC_OUTPUT(Makefile src/Makefile src/docs/Makefile src/docs/en/Makefile )
